Skip changeAttrsSelected = createString

DB selectCRAttrsDB
DBE attrListView
string vTarget = ECPS_ATTRS_VIEW

void changeRequestAttrsSelected(DB box)
{
	// get the list of attributes that were selected
	bool isSelected = false
	int i=0
	for (i=0; i<noElems(attrListView); i++)
	{
		isSelected = getCheck(attrListView, i)
		if isSelected then
		{
			string attributeName = getColumnValue(attrListView, i, 0)
			put(changeAttrsSelected, attributeName, attributeName)
		}
	}

	// synchronize the RCR attrs for the current module
	updateCPstatusAndRefreshStatusAttribute(vTarget)
}

void getChangeAttributes(DBE attrListView)
{
	OleAutoObj obj_csUser = null
	OleAutoObj obj_csApiLib = get_csApiLib(obj_csUser)

	Skip availableAttrList = createString
	getReportableCRAttributeList(obj_csApiLib, obj_csUser, availableAttrList)

	string attrLabel
	string attrName
	int listViewIndex = 0
	for attrLabel in availableAttrList do
	{
		attrName = (string key availableAttrList)
		insert(attrListView, listViewIndex, attrName, iconNone)
		listViewIndex += 1
	}

	delete availableAttrList
}

Skip selectChangeRequestAttrsDialog(Module m)
{	
	// make sure the currrent module is not null
	if null m then return

	string dbTitle = RCP
	string selectAttrs_DialogTitle = getCsintString("csString_SelectAttrs_DialogTitle", dbTitle)
	selectCRAttrsDB = create(m, selectAttrs_DialogTitle, styleCentered)
	string emptyList[]
	
	string string_Apply = getCsintString("csString_String_Apply")
	ok(selectCRAttrsDB, string_Apply, changeRequestAttrsSelected)

	string selectAttrs_FrameTitle = getCsintString("csString_SelectAttrs_FrameTitle", dbTitle)
	DBE attrSettingFrame = frame(selectCRAttrsDB, selectAttrs_FrameTitle, 400, 245)
	attrSettingFrame->"bottom"->"form"

	attrListView = listView(selectCRAttrsDB, listViewOptionCheckboxes, 100, 3, emptyList)
	attrListView->"top"->"inside"->attrSettingFrame
	attrListView->"left"->"inside"->attrSettingFrame
	attrListView->"right"->"inside"->attrSettingFrame
	attrListView->"bottom"->"inside"->attrSettingFrame

	realize selectCRAttrsDB
	
	string customAttrs_Column_Attr = getCsintString("csString_CustomAttrs_Column_Attr", dbTitle)
	insertColumn(attrListView, 0, customAttrs_Column_Attr, 375,iconNone)

	getChangeAttributes(attrListView)

	block selectCRAttrsDB
	destroy selectCRAttrsDB

	return changeAttrsSelected
}

