DBE savedQueriesDB
DBE sharedQueriesDB
Skip savedQueries
Skip sharedQueries
DB selectQueryDB
DBE queryStringField

void closeQueryDialog(DB theDB)
{
	delete savedQueries
	delete sharedQueries
	hide theDB
}

void getSelectedSavedQuery(DBE savedQueryDB)
{
	string sq = get savedQueryDB
	string qString = null
	find(savedQueries, sq, qString)
	set(queryStringField, qString)
	delete savedQueries
	delete sharedQueries
	hide(selectQueryDB)
	destroy(selectQueryDB)
	selectQueryDB = null
}

void getSelectedSharedQuery(DBE sharedQueryDB)
{
	string sq = get sharedQueryDB
	string qString = null
	find(sharedQueries, sq, qString)
	set(queryStringField, qString)
	delete savedQueries
	delete sharedQueries
	hide(selectQueryDB)
	destroy(selectQueryDB)
	selectQueryDB = null
}

void selectQueryDialog(DBE parent)
{

	string choiceList[] = {}
	string rg_GetReqs_SelectQuery_DialogTitle = getCsintString("csString_Rg_GetReqs_SelectQuery_DialogTitle")
	selectQueryDB = create(rg_GetReqs_SelectQuery_DialogTitle, styleCentered)
	string string_Cancel = getCsintString("csString_String_Cancel")
	ok(selectQueryDB, string_Cancel, closeQueryDialog)
	close(selectQueryDB, false, closeQueryDialog)
	
	string rg_GetReqs_SelectQuery_Label_SelectQueryBelow = getCsintString("csString_Rg_GetReqs_SelectQuery_Label_SelectQueryBelow")
	string rg_GetReqs_SelectQuery_List_SavedQueries = getCsintString("csString_Rg_GetReqs_SelectQuery_List_SavedQueries")
	string rg_GetReqs_SelectQuery_List_SharedQueries = getCsintString("csString_Rg_GetReqs_SelectQuery_List_SharedQueries")
	DBE instructions = label(selectQueryDB, rg_GetReqs_SelectQuery_Label_SelectQueryBelow)
	savedQueriesDB = list(selectQueryDB, rg_GetReqs_SelectQuery_List_SavedQueries, 10, choiceList)
	savedQueriesDB->"left"->"form"
	savedQueriesDB->"top"->"spaced"->instructions
	sharedQueriesDB = list(selectQueryDB, rg_GetReqs_SelectQuery_List_SharedQueries, 10, choiceList)
	sharedQueriesDB->"top"->"spaced"->savedQueriesDB
	sharedQueriesDB->"left"->"form"
	realize selectQueryDB
	
	//Define callbacks
	set(savedQueriesDB, getSelectedSavedQuery)
	set(sharedQueriesDB, getSelectedSharedQuery)

	OleAutoObj obj_csApiLib
	OleAutoObj obj_csUser
	obj_csApiLib = get_csApiLib(obj_csUser)
	savedQueries = createString
	retrieveUserDefinedQueries(savedQueries, obj_csApiLib, obj_csUser)

	string savedQueryName
	string savedQueryString
	int sqIndex = 0
	if (!null savedQueries)
	{
		for savedQueryString in savedQueries do
		{
			savedQueryName = (string key savedQueries)
			insert(savedQueriesDB, sqIndex, savedQueryName)
			sqIndex++
		}
	}

	sharedQueries = createString
	retrieveSharedQueries(sharedQueries, obj_csApiLib, obj_csUser)

	string sharedQueryName
	string sharedQueryString
	sqIndex = 0

	if (!null sharedQueries)
	{
		for sharedQueryString in sharedQueries do
		{
			sharedQueryName = (string key sharedQueries)
			insert(sharedQueriesDB, sqIndex, sharedQueryName)
			sqIndex++
		}
	}
	realize selectQueryDB
	setCenteredSize(selectQueryDB, 500, 500)
	show selectQueryDB
}